Package org.apache.torque.om

# Class NumberKeyTest

java.lang.Object
org.apache.torque.BaseTestCase
org.apache.torque.om.NumberKeyTest

public class NumberKeyTest extends BaseTestCase
Tests the NumberKey class.

Version:
  $Id: NumberKeyTest.java 1917245 2024-04-21 14:06:23Z tv $
Author:
  Stephen Haberman

- ## Field Summary

  ### Fields inherited from class org.apache.torque.BaseTestCase

  `CONFIG_FILE, database, databaseMap, databaseMysql, databaseOracle, databasePostgresql, integerColumnMap, stringColumnMap, stringColumnMap2, stringColumnMap3, tableMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberKeyTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `testBigDecimalConstructor()`
  Test copy constructor.
  `void`
  `testCopyConstructor()`
  Test copy constructor.
  `void`
  `testCopyConstructorNullValue()`
  Test copy constructor.
  `void`
  `testDoubleConstructor()`
  Test double constructor.
  `void`
  `testEmptyConstructor()`
  Test copy constructor.
  `void`
  `testEqualsFalse()`
  Test !
  `void`
  `testEqualsNull()`
  Test !
  `void`
  `testEqualsReflexive()`
  Test a.equals(a)
  `void`
  `testEqualsSymmetric()`
  Test a.equals(b) = b.equals(a)
  `void`
  `testEqualsTransitive()`
  Test a.equals(b) = b.equals(c) = c.equals(a)
  `void`
  `testHashCodeEqual()`
  Test a.hashCode().equals(a.hashCode())
  `void`
  `testIntConstructor()`
  Test int constructor.
  `void`
  `testList()`
  Test sorting.
  `void`
  `testLongConstructor()`
  Test long constructor.
  `void`
  `testNumberConstructor()`
  Test number constructor.
  `void`
  `testNumberConstructorNull()`
  Test number constructor with null value.
  `void`
  `testSetValueBigDecimal()`
  Test setValue(BigDecimal) method.
  `void`
  `testSetValueNumberKey()`
  Test setValue(NumberKey) method.
  `void`
  `testSetValueNumberKeyNull()`
  Test setValue(NumberKey) method with null argument.
  `void`
  `testSetValueString()`
  Test setValue(String) method.
  `void`
  `testSetValueStringNull()`
  Test setValue(String) method with null argument.
  `void`
  `testStringConstructor()`
  Test String constructor.
  `void`
  `testStringConstructorNull()`
  Test String constructor with null value.

  ### Methods inherited from class org.apache.torque.BaseTestCase

  `setUp`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumberKeyTest

    public NumberKeyTest()

- ## Method Details

  - ### testEqualsReflexive

    @Test public void testEqualsReflexive()
    Test a.equals(a)

  - ### testHashCodeEqual

    @Test public void testHashCodeEqual()
    Test a.hashCode().equals(a.hashCode())

  - ### testEqualsFalse

    @Test public void testEqualsFalse()
    Test !a.equals(b)

  - ### testEqualsSymmetric

    @Test public void testEqualsSymmetric()
    Test a.equals(b) = b.equals(a)

  - ### testEqualsTransitive

    @Test public void testEqualsTransitive()
    Test a.equals(b) = b.equals(c) = c.equals(a)

  - ### testEqualsNull

    @Test public void testEqualsNull()
    Test !a.equals(null)

  - ### testList

    @Test public void testList()
    Test sorting.

  - ### testEmptyConstructor

    @Test public void testEmptyConstructor()
    Test copy constructor.

  - ### testCopyConstructor

    @Test public void testCopyConstructor()
    Test copy constructor.

  - ### testCopyConstructorNullValue

    @Test public void testCopyConstructorNullValue()
    Test copy constructor.

  - ### testBigDecimalConstructor

    @Test public void testBigDecimalConstructor()
    Test copy constructor.

  - ### testLongConstructor

    @Test public void testLongConstructor()
    Test long constructor.

  - ### testDoubleConstructor

    @Test public void testDoubleConstructor()
    Test double constructor.

  - ### testIntConstructor

    @Test public void testIntConstructor()
    Test int constructor.

  - ### testNumberConstructor

    @Test public void testNumberConstructor()
    Test number constructor.

  - ### testNumberConstructorNull

    @Test public void testNumberConstructorNull()
    Test number constructor with null value.

  - ### testStringConstructor

    @Test public void testStringConstructor()
    Test String constructor.

  - ### testStringConstructorNull

    @Test public void testStringConstructorNull()
    Test String constructor with null value.

  - ### testSetValueString

    @Test public void testSetValueString()
    Test setValue(String) method.

  - ### testSetValueStringNull

    @Test public void testSetValueStringNull()
    Test setValue(String) method with null argument.

  - ### testSetValueBigDecimal

    @Test public void testSetValueBigDecimal()
    Test setValue(BigDecimal) method.

  - ### testSetValueNumberKey

    @Test public void testSetValueNumberKey()
    Test setValue(NumberKey) method.

  - ### testSetValueNumberKeyNull

    @Test public void testSetValueNumberKeyNull()
    Test setValue(NumberKey) method with null argument.